Subject: Re: [dispatch] draft-muthusamy-dispatch-haptics

From: Anton Tveretin <[email-masked]>
Date: Thu, 01 Jul 2021 01:50:59 +0500

Hello All!

Sorry, I wanted to write this earlier, but I was on vacation... Now I do not know whom to write best.

1. I reinstate that there are two different namespaces for types; namely, MIME and stream types as in SDP [RFC 3264 and later]. As an example: early video stream formats (Cinepak, DVI, Indeo) combined with audio, stored in any container format (AVI, QuickTime, later ASF).

2. I've found a rather old list of ES types, I published it on Github, but it is in Russian. I perceive it as different TV-like ES (still SDP...)

3. I'm writing a list of media types for 6GTAPI. It is clearly slightly different from the ES list. But an API is not bound to an implementation. Likewise, there are no subtypes in the API, an implementation is free to choose any.

4. So, the fact that some type is defined for in some content or stream type does not mean anything for other formats or APIs.

Thus, I see the reason for "haptic/..." if only there will be "haptic/1", "haptic/2", ... as opposed to "application/haptic".